[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFieldsEnumerator.MoveNext

Move the current field to the next field in the collection.

## Declaration

Source position: db.pas line 1070

`public function TFieldsEnumerator.MoveNext: Boolean;`

## Function result

True if there is a next value, false otherwise.

## Description

MoveNext moves the internal pointer to the next field in the fields collection, and returns True if the operation was a success. If no more fields are available, then False is returned.

## See also

TFieldsEnumerator.Current |  | Return the current field

Documentation generated on: Feb 26 2014